var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const crypto = __importStar(require("crypto"));
/**
 * Create HMac crypto for a string, using a given salt
 * @param salt - given salt
 * @param str - string to be encrypted
 * @param encode - encode format
 */
function createHmac(salt, str, encode) {
    return crypto.createHmac('sha1', salt).update(str).digest().toString(encode);
}
exports.createHmac = createHmac;
